QGIS Application - Bug report #11554
issue when exporting to pdf or png a layout on OsX
2014-11-04 02:13 PM - Tom Kurkowski

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.6.0 Regression?: No
Operating System: OSX Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 19824
Description

| created a map layout with 2 different maps displayed. Upon exporting these, the output pdf or png only displayed the current data
displayed in the data pane, and not the data displayed in the composer. Only workaround | found was to take a screenshot of the
composer.

History

#1 - 2014-11-04 02:21 PM - Tom Kurkowski

still occurs in QGIS 2.6, even when data frames are locked within the composer

#2 - 2014-11-04 02:32 PM - Tom Kurkowski

also tried using the "lock selected layer" and the "lock layers for map items" options, but no solution there either.
#3 - 2014-11-05 02:53 AM - Giovanni Manghi

- Category set to Map Composer/Printing

- Status changed from Open to Feedback

- Priority changed from High to Normal

- File pc.png added
- Affected QGIS version changed from 2.4.0 to 2.6.0

Cannot confirm (Windows, Linux, qgis 2.6), see attached image: project with 3 layers, 1 shows in the QGIS canvas and the other 2 each one in different
map objects in the composer, and then the resulting PDF from the composer.

#4 - 2014-11-05 04:44 PM - Tom Kurkowski
- File Screen_Shot_2014-11-05_at_3.42.16_PM.png added

attached is my confirmation that it is an issue OSX 10.9.5 QGIS 2.6 (unless I'm doing something wrong in the exporting procedure).

#5 - 2014-11-05 05:24 PM - Giovanni Manghi

- Subject changed from exporting to pdf or png via map layout to issue when exporting to pdf or png a layout on OsX

#6 - 2014-11-05 08:37 PM - Nyall Dawson
Tom - can you please click the refresh icon on the composer toolbar when you have this project open and let me know what happens?

#7 - 2014-11-06 03:21 PM - Tom Kurkowski

Note: when | refer to "lock" below, | am referring to the "lock layers for map item" in the item properties pane. | did not use the "lock selected items" (the
lock icon) in the toolbar at all in this post of testing.

When | click the "refresh view" icon (two circle arrow) on the composer toolbar, all map frames update to what is displayed in the canvas, unless you have
"lock layers for map item" checked, then they stay unchanged regardless of what is displayed in the canvas. This seems like an expected behavior.

If 1 set both map frames how | want them, and lock both frames, then export is successful. This goes against what | said above. However, if | unlock one
map frame, update the preview to show a new data layer displayed in the canvas, then lock them down again, (and then change the canvas to something
else for the test), and then export, it fails and updates that altered but locked map frame to whatever is displayed in the canvas. If | follow the same exact
procedure, but add to the end a "refresh view", export is successful!

There may be more oddities in the combination of the refresh view, update preview, and the locking/unlocking of map frames, but the above is one | could
follow and reproduce and enable a work around to get stuff done.

#8 - 2014-11-06 03:54 PM - Nyall Dawson

I'm still a bit confused by what you mean. For a start, the "lock selected items" feature is unrelated - that has no effect on the contents of a map, it just
prevents accidentally moving/resizing the map item in the composer.

When | click the "refresh view" icon (two circle arrow) on the composer toolbar, all map frames update to what is displayed in the canvas, unless you

have "lock layers for map item" checked, then they stay unchanged regardless of what is displayed in the canvas. This seems like an expected
behavior.

Yes - this is correct. The workflow is to set the visible layers on the canvas for the first map, switch over to the composer and select the map and check
"lock layers". Then repeat for the second map. If you do this, then clicking refresh in the composer should not modify the layers which are shown in each
map item.

It may help with testing if you set all your maps to "Render" instead of "Cache" mode. Can you try that and see if it clarifies the situation?

(I'm unable to reproduce any issue using the described steps)

#9 - 2014-11-06 05:23 PM - Tom Kurkowski

...For a start, the "lock selected items" feature is unrelated

that is what | thought, | was just trying to be clear that | am not talking about using that feature. Good to know it's definitely unrelated.

| guess the point is that if you have an unlocked map, you don't always get what you see in the composer on your export. It's not a WYSIWYG interface
then. If you have locked maps, then it usually works, unless you decide to mess with the canvas and do not update the preview or refresh the view.

BTW, does the "refresh the view" and "update map preview" do the same thing (except for all versus one map, respectively)?

I'm happy now, as | can consistently get what | see on export, and can explain to others how to get this. If this is a big enough issue, I'm sure others will
bring it up.

So far, I've always used the "renderer" mode.
#10 - 2014-11-07 04:00 AM - Giovanni Manghi
- Resolution set to invalid

- Status changed from Feedback to Closed

Files
pc.png 436 KB 2014-11-05 Giovanni Manghi
Screen_Shot_2014-11-05_at_3.42.16_PM.png 428 KB 2014-11-05 Tom Kurkowski
